Debian Bug report logs - #696909
chromium segfaults on startup on armhf

version graph

Package: chromium; Maintainer for chromium is Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>; Source for chromium is src:chromium-browser.

Reported by: peter green <plugwash@p10link.net>

Date: Sat, 29 Dec 2012 03:45:02 UTC

Severity: important

Tags: upstream

Merged with 680566

Found in versions chromium-browser/22.0.1229.94~r161065-3, chromium-browser/20.0.1132.43~r143823-1, chromium-browser/20.0.1132.57~r145807-1

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Sat, 29 Dec 2012 03:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
New Bug report received and forwarded. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 29 Dec 2012 03:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chromium segfaults on startup on armhf
Date: Sat, 29 Dec 2012 03:43:24 +0000
package: chromium
severity: grave
version: 22.0.1229.94~r161065-3

Chromium segfaults on startup on armhf. I got a backtrace but it isn't a 
very informative one :(

Reading symbols from /usr/lib/chromium/chromium...Reading symbols from 
/usr/lib/debug/usr/lib/chromium/chromium...done.
done.
(gdb) run
Starting program: /usr/lib/chromium/chromium
[Thread debugging using libthread_db enabled]
Using host libthread_db library 
"/lib/arm-linux-gnueabihf/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
0x001fad20 in ?? ()
(gdb) bt
#0  0x001fad20 in ?? ()
#1  0x2bea9c8e in __libc_csu_init ()
#2  0xb609dcb8 in __libc_start_main () from 
/lib/arm-linux-gnueabihf/libc.so.6
#3  0x2a20225a in _start ()
(gdb)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Sat, 29 Dec 2012 23:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Angel Cabrera Moya <madmac2501@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 29 Dec 2012 23:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 696909@bugs.debian.org (full text, mbox):

From: Miguel Angel Cabrera Moya <madmac2501@gmail.com>
To: 696909@bugs.debian.org
Subject: chromium segfaults on startup on armhf
Date: Sun, 30 Dec 2012 00:35:59 +0100
I searched for the bug on google an according to a chromium engineer
is a problem related to the linker. I hope it helps.


-----------------------------------------------------------------------------------------------
Comment by nap.zhou...@gmail.com, Jul 24, 2012

I get the build passed, but the produced executable file 'chrome' gets
crash with segmentation fault.
Comment by robertm@chromium.org, Oct 15, 2012

nap.zhou.yu:

if you see this:

Program received signal SIGSEGV, Segmentation fault. 0x00231548 in ??
() (gdb) bt #0 0x00231548 in ?? () #1 0x2c286596 in libc_csu_init ()
#2 0xb63e5f98 in libc_start_main () from
/lib/arm-linux-gnueabi/libc.so.6 #3 0x2a23837a in start () (gdb) X /i
$pc

the problem is cause by a gold bug -> you need to use gold from
binutils 2.22 or later



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Thu, 03 Jan 2013 12:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <peter.green@postgrad.manchester.ac.uk>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Thu, 03 Jan 2013 12:33:06 GMT) Full text and rfc822 format available.

Message #15 received at 696909@bugs.debian.org (full text, mbox):

From: peter green <peter.green@postgrad.manchester.ac.uk>
To: madmac2501@gmail.com
Cc: 696909@bugs.debian.org
Subject: chromium segfaults on startup on armhf
Date: Thu, 03 Jan 2013 12:14:55 +0000
>I searched for the bug on google an according to a chromium engineer
>is a problem related to the linker. I hope it helps.
><snip>
>the problem is cause by a gold bug -> you need to use gold from
>binutils 2.22 or later

We already have binutils 2.22 in wheezy/sid.....

Still i'm tempted to try a build with bfd to see if it makes any difference (it will mean a lot more swap grinding but meh)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Mon, 07 Jan 2013 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Mon, 07 Jan 2013 01:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 696909@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 696909@bugs.debian.org
Subject: re: chromium segfaults on startup on armhf
Date: Mon, 07 Jan 2013 01:14:26 +0000
[Message part 1 (text/plain, inline)]
I can confim that using bfd instead of gold fixes the issue on armhf.

armel seems to be sufering from the same issue but I have not yet tried 
a build with bfd on armel.

I will do an armel (but on armv7 hardware, I don't have any armv4t or 
armv5 hardware to test on and all my armv6 stuff is running raspbian) 
build and test once I have finished doing the one for raspbian, 
unfortunately each build takes days on my imx53 (I have an odriod u2 on 
order which should speed things up)

Patch to make the package use bfd rather than gold on armel and armhf is 
attached. I may or may not upload this as a NMU.
[chromium-browser-use-bfd-on-arm.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Mon, 07 Jan 2013 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Mon, 07 Jan 2013 01:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 696909@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: peter green <plugwash@p10link.net>
Cc: 696909@bugs.debian.org
Subject: Re: chromium segfaults on startup on armhf
Date: Sun, 6 Jan 2013 17:26:30 -0800
Hi Peter,

peter green wrote:

> Patch to make the package use bfd rather than gold on armel and armhf is
> attached. I may or may not upload this as a NMU.

If you'll have time to continue working on chromium:arm in the future,
it would probably be better to just add yourself to pkg-chromium on
alioth.

Thanks for your work,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Fri, 11 Jan 2013 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to shawnlandden@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Fri, 11 Jan 2013 01:42:03 GMT) Full text and rfc822 format available.

Message #30 received at 696909@bugs.debian.org (full text, mbox):

From: shawnlandden@gmail.com
To: 696909@bugs.debian.org
Subject: Dup
Date: Thu, 10 Jan 2013 17:38:50 -0800
[Message part 1 (text/plain, inline)]
This is a DUP of 680566. You can't just use bfd without memory saving options cause the link can use more than 2gb addressable limit on arm boxes without pae. Gold 2.23 builds chromium correctly. (But not on armel without workarounds due to bug 696284)
-- 
Sent from my Android phone with K-9 Mail. Please excuse my brevity.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Mon, 14 Jan 2013 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Mon, 14 Jan 2013 20:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 696909@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 696909@bugs.debian.org, ARM <debian-arm@lists.debian.org>
Subject: Re: chromium segfaults on startup on armhf
Date: Mon, 14 Jan 2013 20:52:00 +0000
Note: adding debian-arm to cc for feedback from other porters.

Jonathan Nieder wrote:
> Hi Peter,
>
> peter green wrote:
>
>   
>> Patch to make the package use bfd rather than gold on armel and armhf is
>> attached. I may or may not upload this as a NMU.
>>     
>
> If you'll have time to continue working on chromium:arm in the future,
> it would probably be better to just add yourself to pkg-chromium on
> alioth
Like any other package if chromium gives us problems over in raspbian I 
will try to get those problems fixed and will contribute what I discover 
back to debian where appropriate but I don't have any real knowlege of 
chromium's internals or build system nor do I have the time or 
inclination to learn them.

Anyway I have some bad news. When I try to do an armel build with bfd on 
my imx board I get.
 LINK(target) out/Release/chrome
/usr/bin/ld.bfd.real: failed to set dynamic section sizes: Memory exhausted
collect2: ld returned 1 exit status

I have plenty of swap so i'm pretty sure the real problem is not memory 
per-se but address space. I had the same problem with the raspbian build 
(but not with the debian armhf build) and for raspbian I worked arround 
it by building with user mode qemu on an x64 host (which provides 
significantly more virtual address space than any real arm system) but 
i'm not sure that is acceptable for debian.

Thoughts on what to do for chromium on armel? leave it broken? drop it 
completely? upload packages built with bfd under user mode qemu 
(assuming that succeeds and produces usable packages) to the archive?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Mon, 14 Jan 2013 22:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to shawnlandden@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Mon, 14 Jan 2013 22:00:08 GMT) Full text and rfc822 format available.

Message #40 received at 696909@bugs.debian.org (full text, mbox):

From: shawnlandden@gmail.com
To: peter green <plugwash@p10link.net>,Jonathan Nieder <jrnieder@gmail.com>
Cc: 696909@bugs.debian.org,ARM <debian-arm@lists.debian.org>
Subject: Re: chromium segfaults on startup on armhf
Date: Mon, 14 Jan 2013 13:58:00 -0800
[Message part 1 (text/plain, inline)]
It works when built with gold 2.23 on an armv6+ hardware host (bug 696284). This bug is also a dup, and was njotriced shortely after chromium 22 was made to build again on arm (ftbfs since chromium 18) due to my patches.

peter green <plugwash@p10link.net> wrote:

>Note: adding debian-arm to cc for feedback from other porters.
>
>Jonathan Nieder wrote:
>> Hi Peter,
>>
>> peter green wrote:
>>
>>   
>>> Patch to make the package use bfd rather than gold on armel and
>armhf is
>>> attached. I may or may not upload this as a NMU.
>>>     
>>
>> If you'll have time to continue working on chromium:arm in the
>future,
>> it would probably be better to just add yourself to pkg-chromium on
>> alioth
>Like any other package if chromium gives us problems over in raspbian I
>
>will try to get those problems fixed and will contribute what I
>discover 
>back to debian where appropriate but I don't have any real knowlege of 
>chromium's internals or build system nor do I have the time or 
>inclination to learn them.
>
>Anyway I have some bad news. When I try to do an armel build with bfd
>on 
>my imx board I get.
>  LINK(target) out/Release/chrome
>/usr/bin/ld.bfd.real: failed to set dynamic section sizes: Memory
>exhausted
>collect2: ld returned 1 exit status
>
>I have plenty of swap so i'm pretty sure the real problem is not memory
>
>per-se but address space. I had the same problem with the raspbian
>build 
>(but not with the debian armhf build) and for raspbian I worked arround
>
>it by building with user mode qemu on an x64 host (which provides 
>significantly more virtual address space than any real arm system) but 
>i'm not sure that is acceptable for debian.
>
>Thoughts on what to do for chromium on armel? leave it broken? drop it 
>completely? upload packages built with bfd under user mode qemu 
>(assuming that succeeds and produces usable packages) to the archive?
>
>
>-- 
>To UNSUBSCRIBE, email to debian-arm-REQUEST@lists.debian.org
>with a subject of "unsubscribe". Trouble? Contact
>listmaster@lists.debian.org
>Archive: http://lists.debian.org/50F46FF0.6080202@p10link.net

-- 
Sent from my Android phone with K-9 Mail. Please excuse my brevity.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Tue, 15 Jan 2013 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Tue, 15 Jan 2013 00:45:03 GMT) Full text and rfc822 format available.

Message #45 received at 696909@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: shawnlandden@gmail.com
Cc: Jonathan Nieder <jrnieder@gmail.com>, 696909@bugs.debian.org, ARM <debian-arm@lists.debian.org>
Subject: Re: chromium segfaults on startup on armhf
Date: Tue, 15 Jan 2013 00:41:04 +0000
shawnlandden@gmail.com wrote:
> It works when built with gold 2.23
Is anyone working on either getting that into wheezy (if it's a bugfix 
release that is likely to pass the release teams requirements) or to 
backport the required fixes?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Sat, 26 Jan 2013 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 26 Jan 2013 12:48:03 GMT) Full text and rfc822 format available.

Message #50 received at 696909@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: peter green <plugwash@p10link.net>, 696909@bugs.debian.org
Cc: ARM <debian-arm@lists.debian.org>
Subject: Re: chromium segfaults on startup on armhf
Date: Sat, 26 Jan 2013 13:44:48 +0100
On Mon, 14 Jan 2013 20:52:00 +0000, peter green wrote:
> Anyway I have some bad news. When I try to do an armel build with bfd on 
> my imx board I get.
>  LINK(target) out/Release/chrome
> /usr/bin/ld.bfd.real: failed to set dynamic section sizes: Memory exhausted
> collect2: ld returned 1 exit status

This is an upstream bug on binutils 2.22 [0], not yet fixed.
It would be nice to reproduce it on a debian/wheezy armel box.

Jérémy

[0]
http://sourceware.org/bugzilla/show_bug.cgi?id=14718







Severity set to 'important' from 'grave' Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sat, 09 Feb 2013 21:51:04 GMT) Full text and rfc822 format available.

Marked as found in versions chromium-browser/20.0.1132.43~r143823-1 and chromium-browser/20.0.1132.57~r145807-1. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sat, 09 Feb 2013 21:51:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sat, 09 Feb 2013 21:51:05 GMT) Full text and rfc822 format available.

Merged 680566 696909 Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sat, 09 Feb 2013 21:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#696909; Package chromium. (Sat, 16 Feb 2013 00:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 16 Feb 2013 00:48:03 GMT) Full text and rfc822 format available.

Message #63 received at 696909@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 696909@bugs.debian.org
Subject: Re: chromium segfaults on startup on armhf
Date: Sat, 16 Feb 2013 00:44:17 +0000
peter green wrote:
> I can confim that using bfd instead of gold fixes the issue on armhf.
Since this mail a new version of chromium has hit sid and i've been 
doing some tests with it. I have good news and bad news.

The good news:
by using --no-keep-memory I was able to get the address space use of bfd 
down to a level where I could build the armel package on real (alibeit 
armv7) hardware and the resulting binary package works

The bad news
When I built the latest version for armhf with bfd and --no-keep-memory 
it didn't segfault on startup but it did fail with an "aw snap" error. 
Running with --single-process resulted in a segfault (though MUCH MUCH 
later in the startup process). I tried to get a backtrace but didn't 
manage to get a useful one.

root@linaro-ubuntu-desktop:/# chromium --debug --temp-profile 
--single-process
# Env:
#     LD_LIBRARY_PATH=/usr/lib/chromium:/usr/lib/xulrunner-1.9.1
#                
PATH=/usr/lib/chromium:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
#            GTK_PATH=
# CHROMIUM_USER_FLAGS=
#      CHROMIUM_FLAGS=--password-store=detect 
--user-data-dir=/tmp/tmp.qG3PfgnZsI
/usr/bin/gdb /usr/lib/chromium/chromium -x /tmp/chromiumargs.6OnkCE
GNU gdb (GDB) 7.4.1-debian
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later 
<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "arm-linux-gnueabihf".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib/chromium/chromium...Reading symbols from 
/usr/lib/debug/usr/lib/chromium/chromium...done.
done.
(gdb) run
Starting program: /usr/lib/chromium/chromium --password-store=detect 
--user-data-dir=/tmp/tmp.qG3PfgnZsI --single-process
[Thread debugging using libthread_db enabled]
Using host libthread_db library 
"/lib/arm-linux-gnueabihf/libthread_db.so.1".
[New Thread 0x42236290 (LWP 25964)]
[New Thread 0x42a7b290 (LWP 25965)]
[New Thread 0x4327b290 (LWP 25967)]
[New Thread 0x4329b290 (LWP 25968)]
[New Thread 0x43a9b290 (LWP 25969)]
[25946:25965:0216/002947:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_socket: 
Connection refused
[New Thread 0x40033290 (LWP 25970)]
[25946:25965:0216/002947:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_socket: 
Connection refused
[25971:25980:0216/002947:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_socket: 
Connection refused
[25971:25980:0216/002947:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_socket: 
Connection refused
[25971:25988:0216/002947:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_socket: 
Connection refused
[25971:25988:0216/002947:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_socket: 
Connection refused
[25971:25988:0216/002947:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_socket: 
Connection refused
[25971:25971:0216/002947:ERROR:media_transfer_protocol_daemon_client.cc(386)] 
Connect to org.chromium.Mtpd MTPStorageAttached failed.
[25971:25971:0216/002947:ERROR:media_transfer_protocol_daemon_client.cc(386)] 
Connect to org.chromium.Mtpd MTPStorageDetached failed.
[New Thread 0x44d9d290 (LWP 26000)]
[New Thread 0x4559d290 (LWP 26001)]
[New Thread 0x45d9d290 (LWP 26002)]
[New Thread 0x4659d290 (LWP 26003)]
[New Thread 0x46d9d290 (LWP 26004)]
[New Thread 0x4759d290 (LWP 26005)]
[New Thread 0x43ae1290 (LWP 26006)]
[25946:26005:0216/002948:ERROR:proxy_service_factory.cc(88)] Cannot use 
V8 Proxy resolver in single process mode.
[New Thread 0x47edf290 (LWP 26007)]
[25946:26001:0216/002949:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_soconnection 
refused
[25946:26001:0216/002949:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_soconnection 
refused
[25946:26001:0216/002949:ERROR:bus.cc(307)] Failed to connect to the 
bus: Failed to connect to socket /var/run/dbus/system_bus_soconnection 
refused
[25946:26005:0216/002949:ERROR:proxy_service_factory.cc(88)] Cannot use 
V8 Proxy resolver in single process mode.
[New Thread 0x486ff290 (LWP 26008)]
[New Thread 0x490ba290 (LWP 26009)]
[New Thread 0x49aae290 (LWP 26013)]
[New Thread 0x4a2ae290 (LWP 26014)]
[New Thread 0x4aaae290 (LWP 26019)]
[New Thread 0x4b2ae290 (LWP 26020)]
[New Thread 0x49250290 (LWP 26022)]
[New Thread 0x4bdff290 (LWP 26023)]
[25946:25946:0216/002952:ERROR:media_transfer_protocol_daemon_client.cc(386)] 
Connect to org.chromium.Mtpd MTPStorageAttached fail
[25946:25946:0216/002952:ERROR:media_transfer_protocol_daemon_client.cc(386)] 
Connect to org.chromium.Mtpd MTPStorageDetached fail
[New Thread 0x4da79290 (LWP 26024)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x4a2ae290 (LWP 26014)]
0x00000000 in ?? ()
(gdb) bt
#0  0x00000000 in ?? ()
#1  0x3450a15c in ?? ()
#2  0x3450a15c in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb)

I'm going to retry the armhf build with the "arm_thumb" and "armv7" 
defines set to 0 to see if that makes any difference.




Message #64 received at 680566-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 680566-close@bugs.debian.org
Subject: Re: [Pkg-chromium-maint] Bug#680566:
Date: Sat, 24 Aug 2013 21:56:24 -0400
On Wed, Nov 14, 2012 at 1:36 PM, Shawn wrote:
> retitle 680566 binutils-gold 2.22 buggy on arm
>
>
> rebuilding with binutils-gold 2.23 eliminates this crash. (I cant build with
> ld.bfd cause i don't have enough ram)

This should be fixed now that binutils 2.23 is in unstable, once the
arm build get going again.

Best wishes,
Mike



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Sep 2013 07:26:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:34:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.